/*
  Pitch follower

  Plays a pitch that changes based on a changing analog input

  circuit:
   8-ohm speaker on digital pin 9
   photoresistor on analog 0 to 5V
   4.7K resistor on analog 0 to ground

  created 21 Jan 2010
  modified 31 May 2012
  by Tom Igoe, with suggestion from Michael Flynn

  This example code is in the public domain.

  http://www.arduino.cc/en/Tutorial/Tone2

*/

int BROCHE_BOUTON = 2;
boolean etatPinBouton;

void setup() {
  // initialize serial communications (for debugging only):
  Serial.begin(9600);
  pinMode(BROCHE_BOUTON, INPUT_PULLUP);
}

void loop() {
  //Lire l'état de la broche bouton
  etatPinBouton = digitalRead(BROCHE_BOUTON);
  Serial.print("etatPinBouton :");
  Serial.println(etatPinBouton);

  // read the sensor:
  int sensorReading = analogRead(A0);
  // print the sensor reading so you know its range
  Serial.print("sensorReading :");
  Serial.println(sensorReading);

  //Si l'état du bouton est sur HIGH
  if (etatPinBouton == LOW) {
    //allumer la led ici inversé car en mode pullup

    // mappe l'intervalle de valeurs entrant sur l'entrée  analogique (dans ce cas, 400 - 1000 de la  photoresistance)
    // sur l'intervalle de sortie du pitch  (120 - 1500Hz)
    // changer les valeurs entrantes min et max
    //selon ls valeurs min et max du capteur


    int thisPitch = map(sensorReading, 400, 1000, 120, 1500);

    // play the pitch:
    tone(9, thisPitch, 10);
    delay(1);        // delay in between reads for stability
    Serial.println("je joue de la musique");
  }
  //sinon
  else {
    //ne rien faire
    Serial.println("je ne fais rien");


  }

}






